Maxim, Two UI designer bugs for Irida

Maxim, you said to post about bugs which we find critical for 5.0 release.
I have two related to UI designer:

1. You cannot use custom components in palette if you are compiling with
Java 5.0. It's impossible. This is not an issue if you're running on a 5.0
VM, as provided by the latest EAP, but it's still a serious issue

This is http://jetbrains.net/jira/browse/IDEABKL-2336


2. You generally can't use generics in any class which is bound to a form,
because BCEL corrupts the class file.

This is http://jetbrains.net/jira/browse/IDEABKL-1953


I think these need to be fixed for Irida, because they prevent a great deal
of serious use of the UI designer.


3 comments
Comment actions Permalink

AFAIU both of the issues are fixed actually, aren't they?
We've patched BCEL BTW to fix corruptions issues as we've faced with them
ourselves when compiling Irida under 1.5.

-


Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

Maxim, you said to post about bugs which we find critical for 5.0
release. I have two related to UI designer:

1. You cannot use custom components in palette if you are compiling
with Java 5.0. It's impossible. This is not an issue if you're running
on a 5.0 VM, as provided by the latest EAP, but it's still a serious
issue

This is http://jetbrains.net/jira/browse/IDEABKL-2336

2. You generally can't use generics in any class which is bound to a
form, because BCEL corrupts the class file.

This is http://jetbrains.net/jira/browse/IDEABKL-1953

I think these need to be fixed for Irida, because they prevent a great
deal of serious use of the UI designer.



0
Comment actions Permalink

I just got the LVTT error with 3296 last night.

AFAIU both of the issues are fixed actually, aren't they?
We've patched BCEL BTW to fix corruptions issues as we've faced with
them
ourselves when compiling Irida under 1.5.
-------------------
Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

>> Maxim, you said to post about bugs which we find critical for 5.0
>> release. I have two related to UI designer:
>>
>> 1. You cannot use custom components in palette if you are compiling
>> with Java 5.0. It's impossible. This is not an issue if you're
>> running on a 5.0 VM, as provided by the latest EAP, but it's still a
>> serious issue
>>
>> This is http://jetbrains.net/jira/browse/IDEABKL-2336
>>
>> 2. You generally can't use generics in any class which is bound to a
>> form, because BCEL corrupts the class file.
>>
>> This is http://jetbrains.net/jira/browse/IDEABKL-1953
>>
>> I think these need to be fixed for Irida, because they prevent a
>> great deal of serious use of the UI designer.
>>



0
Comment actions Permalink

True since it only fixed in 3311
-


Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

I just got the LVTT error with 3296 last night.

>> AFAIU both of the issues are fixed actually, aren't they?
>> We've patched BCEL BTW to fix corruptions issues as we've faced with
>> them
>> ourselves when compiling Irida under 1.5.
>> -


>> Maxim Shafirov
>> http://www.jetbrains.com
>> "Develop with pleasure!"
>>> Maxim, you said to post about bugs which we find critical for 5.0
>>> release. I have two related to UI designer:
>>>
>>> 1. You cannot use custom components in palette if you are compiling
>>> with Java 5.0. It's impossible. This is not an issue if you're
>>> running on a 5.0 VM, as provided by the latest EAP, but it's still a
>>> serious issue
>>>
>>> This is http://jetbrains.net/jira/browse/IDEABKL-2336
>>>
>>> 2. You generally can't use generics in any class which is bound to a
>>> form, because BCEL corrupts the class file.
>>>
>>> This is http://jetbrains.net/jira/browse/IDEABKL-1953
>>>
>>> I think these need to be fixed for Irida, because they prevent a
>>> great deal of serious use of the UI designer.
>>>


0

Please sign in to leave a comment.